(defvar bootstrap-version)
(defvar straight-base-dir)
(setq straight-base-dir (concat user-emacs-directory "var/" ))
(let ((bootstrap-file
       (expand-file-name
        "straight/repos/straight.el/bootstrap.el"
        (or (bound-and-true-p straight-base-dir)
            user-emacs-directory)))
      (bootstrap-version 7))
  (unless (file-exists-p bootstrap-file)
    (with-current-buffer
        (url-retrieve-synchronously
         "https://raw.githubusercontent.com/radian-software/straight.el/develop/install.el"
         'silent 'inhibit-cookies)
      (goto-char (point-max))
      (eval-print-last-sexp)))
  (load bootstrap-file nil 'nomessage))

(straight-use-package 'elcord)
(straight-use-package 'persp-mode)
(straight-use-package 'dashboard)
(straight-use-package 'magit)
(straight-use-package 'avy)
(straight-use-package 'corfu)
(straight-use-package 'vterm)
(straight-use-package 'centaur-tabs)
(straight-use-package 'projectile)
(straight-use-package 'company)
(straight-use-package 'clipetty)
(straight-use-package 'which-key)
(straight-use-package 'iedit)
(straight-use-package 'hideshowvis)
(straight-use-package 'evil)
(straight-use-package 'treemacs-evil)
(straight-use-package 'treemacs)
(straight-use-package 'treemacs-nerd-icons)
(straight-use-package 'treemacs-perspective)
(straight-use-package 'treemacs-icons-dired)
(straight-use-package 'treemacs-magit)
(straight-use-package 'treemacs-projectile)
(straight-use-package 'tree-edit)
(straight-use-package 'vertico)
(straight-use-package 'marginalia)
(straight-use-package 'nerd-icons)
(straight-use-package 'nerd-icons-completion)
(straight-use-package 'perspective)
(straight-use-package 'minions)
(straight-use-package 'telephone-line)
(straight-use-package 'rainbow-delimiters)
(straight-use-package 'use-package)
(straight-use-package 'cmake-mode)
(straight-use-package 'lsp-mode)
(straight-use-package 'lsp-java)
(straight-use-package 'lsp-jedi)
(straight-use-package 'lsp-haskell)
(straight-use-package 'lsp-ui)
(straight-use-package 'lsp-treemacs)
(straight-use-package 'dap-mode)
(straight-use-package 'd-mode)
(straight-use-package 'lua-mode)
(straight-use-package 'multiple-cursors)
(straight-use-package 'org)
(straight-use-package 'org-rainbow-tags)
(straight-use-package 'org-roam)
(straight-use-package 'org-roam-ui)
(straight-use-package 'org-review)
(straight-use-package 'csharp-mode)
(straight-use-package 'markdown-mode)
(straight-use-package 'json-mode)
(straight-use-package 'nix-mode)
(straight-use-package 'no-littering)
(straight-use-package 'right-click-context)
(straight-use-package 'moe-theme)
(straight-use-package 'doom-themes)
(straight-use-package 'orderless)